//
// Copyright (c) 2015 CNRS
// Copyright (c) 2015 Wandercraft, 86 rue de Paris 91400 Orsay, France.
//
// This file is part of Pinocchio
// Pinocchio is free software: you can redistribute it
// and/or modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation, either version
// 3 of the License, or (at your option) any later version.
//
// Pinocchio is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the implied warranty
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Lesser Public License for more details. You should have
// received a copy of the GNU Lesser General Public License along with
// Pinocchio If not, see
// <http://www.gnu.org/licenses/>.

#ifndef __se3_sample_models_hpp__
#define __se3_sample_models_hpp__

#include "pinocchio/multibody/model.hpp"

#ifdef WITH_HPP_FCL
#include "pinocchio/multibody/geometry.hpp"
#endif

namespace se3
{
  namespace buildModels
  {

    void humanoid2d(Model& model);

    void humanoidSimple(Model& model, bool usingFF = true);

    #ifdef WITH_HPP_FCL
    void collisionModel( Model& model, GeometryModel& geom);
    #endif

  } // namespace buildModels
} // namespace se3

#endif // ifndef __se3_sample_models_hpp__
